%define anolis_release 1
Name:           libuninameslist
Version:        20221022 
Release: %{anolis_release}%{dist}

Summary:        A library providing Unicode character names and annotations

License:        BSD
URL:            https://github.com/fontforge/libuninameslist
Source0:        https://github.com/fontforge/libuninameslist/archive/%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires: make

%description
libuninameslist provides applications with access to Unicode name and
annotation data from the official Unicode Character Database.

%package        devel
Summary:        Header files and static libraries for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains header files and static libraries for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup

%build
autoreconf -i
automake --foreign -Wall
%configure --disable-static
make V=1 %{?_smp_mflags}

%install
%make_install incdir=$RPM_BUILD_ROOT%{_includedir}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%generate_compatibility_deps

%files
%license LICENSE
%{_libdir}/*.so.*

%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_mandir}/man3/libuninameslist.3.zst
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libuninameslist.pc

%files doc
%doc AUTHORS INSTALL README.md ChangeLog

%changelog
* Mon Mar 27 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 20221022-1
- Init package from upstream
